Page MenuHomePhabricator

WikimediaFoundation.org participating in Global Climate Strike
Closed, ResolvedPublic

Description

At the direction of the Foundation's Leadership team, and after review by Communications, Legal, and Technology - the Foundation's website has been setup for participation in the Global Climate Strike on 20 September 2019.

Prior to the campaign, a banner appears on the bottom of the site indicating participation in the campaign. On the day of the campaign (determined by the visitor's computer time) - a fullpage banner will appear encouraging visitors to WikimediaFoundation.org to participate in the campaign and directing them to the campaign's website.

The Foundation's participation in this campaign will not impact any sites other than WikimediaFoundation.org. The monitoring of this campaign on the website is being conducted by the Communications department.

It has been tested for deployment across two instances (as the campaign has different stages):

Event Timeline

Varnent created this task.Sep 20 2019, 3:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2019, 3:25 AM
Varnent triaged this task as Medium priority.Sep 20 2019, 3:26 AM
Varnent updated the task description. (Show Details)
Varnent updated the task description. (Show Details)Sep 20 2019, 3:30 AM

Is it intentional that wikimediafoundation.org is loading resources from wikimediafoundation-org-preprod.go-vip.net ?

Is it intentional that wikimediafoundation.org is loading resources from wikimediafoundation-org-preprod.go-vip.net ?

That is temporary and should be updated as soon as the patch is approved. However, it is the same server. That URL is the preprod instance of the site, which is where we were testing and loading the assets until VIP did their final approval.

As an additional check, is the included google analytics also intentional in light of T201022?

[I'm assuming it actually loads, I couldn't figure out how to disable DoNotTrack in my browser to test it]

We have the setting set so Google Analytics is disabled. Working to confirm it is working accordingly.

The URL issue you mentioned had been fixed.

Bawolff added a comment.EditedSep 20 2019, 4:12 AM

As an additional check, is the included google analytics also intentional in light of T201022?

[I'm assuming it actually loads, I couldn't figure out how to disable DoNotTrack in my browser to test it]

I may actually have been mistaken about that, i just saw the url in the code, but i don't think it activates.

Edit: Looks like you responded well I was typing that. sorry for jumping the gun on that.

As an additional check, is the included google analytics also intentional in light of T201022?

[I'm assuming it actually loads, I couldn't figure out how to disable DoNotTrack in my browser to test it]

I may actually have been mistaken about that, i just saw the url in the code, but i don't think it activates.

Edit: Looks like you responded well I was typing that. sorry for jumping the gun on that.

No worries - I submitted a patch that should remove the call for it as well. Just in case. :)

This is bizarre, at first I thought it was some kind of configuration error on Automattic's end. Was this discussed anywhere?

Nemo_bis added a comment.EditedSep 20 2019, 10:22 AM

Based on the "Principles for NGO engagement with School Strikes", this action has a number of blocking tasks. Are they going to be tracked here? Who's working on them?

  • "we will report regularly on our conversations and our actions regarding school strikes on the various channels that organisers use to coordinate themselves": who is doing this?
  • "Everyone should have an equal opportunity to contribute to discussions on our role and to challenge us on our decisions and actions": what's the designated channel for school strikes organisers to comment on the WMF's own participation in the strike?
  • "We will support organisers with our experience: sharing lessons from our past successes, and most importantly, failures": was this done? "Based on demands coming from school strikes organisers, we will organise trainings": did WMF ask whether there is such demand? If demand was observed, what are the planned steps to provide it? I would expect the organisers to be interested in training on how to use the wikis (e.g. how to edit Wikipedia according to the 5 pillars to improve information on the global warming) and on how to use free licenses (disappointingly, their website is all rights reserved). However, we cannot know if we don't ask.

Note that I'm not involved in this, just adding some context:

That page also says "The idea isn’t for each organisation involved in the September mobilisation to formally sign-up to these guidelines. This document rather aims at defining the spirit of our collaborative effort."

I don't see a need for a "designated channel"; I guess you could use https://discuss-space.wmflabs.org/c/campaigns/environment-network if you'd like to.

I'm not sure what "you" Andre has in mind, but to be clear I'm not asking a designated channel for myself, I'm asking whether the students of the school strikes have been told what's the communication channel they can use for the purpose.

I don't see a reason why we should do this. After clicking the "I'm ready" button on wikimediafoundation.org and getting redirected to https://globalclimatestrike.net you get options which allow to stay updated.

Varnent added a comment.EditedSep 20 2019, 6:06 PM

I don't see a reason why we should do this. After clicking the "I'm ready" button on wikimediafoundation.org and getting redirected to https://globalclimatestrike.net you get options which allow to stay updated.

I agree with @Aklapper on your suggestions being unnecessary and frankly a lot more work than seems logical. We are one of hundreds of organizations whose organization website is participating. I am not sure why @Nemo_bis thinks we are required to do more than any of the other participating organizations. It seems you want the Foundation to just take this campaign over completely from the host organization. I think you know that is not how we operate and as such your questions seem contextually more about trying to find faults in a simple effort than seeking any actionable or useful information. I suggest you take your questions to organization coordinating the campaign, which to be clear, is not the Wikimedia Foundation.

If you do not believe this is an issue which relates to the Foundation's efforts, I suggest you take your comments to the Sustainability Initiative page on Meta-Wiki where that discussion has been taking place already for years.

Volker_E added a subscriber: Volker_E.
Varnent closed this task as Resolved.Oct 2 2019, 11:43 PM

Campaign concluded and code has been removed from the site.

sbassett moved this task from Intake to Done on the Privacy board.Oct 16 2019, 5:46 PM